# Class VerticalAlignAttributes

#### Hierarchy

- XmlAttributeComponent<{
  verticalAlign?: VerticalAlign;
  }>
  - VerticalAlignAttributes

- Defined in src/file/vertical-align/vertical-align.ts:19

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new VerticalAlignAttributes(root): VerticalAlignAttributes

- #### Parameters

  - ##### root: {
    verticalAlign?: VerticalAlign;
    }

    - ##### `Optional` `Readonly` verticalAlign?: VerticalAlign

  #### Returns VerticalAlignAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in src/file/xml-components/default-attributes.ts:12

## Methods

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in src/file/xml-components/default-attributes.ts:16

Generated using TypeDoc